FROM ros:noetic-ros-base-focal

ENV DEBIAN_FRONTEND noninteractive

RUN apt-get update && apt-get install -y \
    ros-noetic-tf2-sensor-msgs \
    ros-noetic-tf2-geometry-msgs \
    ros-noetic-tf-conversions \
    ros-noetic-pcl-ros \
    ros-noetic-pcl-conversions \
    ros-noetic-rqt-reconfigure \
    ros-noetic-rviz \
    ros-noetic-rqt \
    && rm -rf /var/lib/apt/lists/*

ARG USER=docker_radar
ARG UID=1000
ARG GID=1000
# default password
ARG PW=user

RUN useradd -m ${USER} --uid=${UID} && echo "${USER}:${PW}" | chpasswd

WORKDIR /home/${USER}
RUN cd /home/${USER} && mkdir -p catkin_ws/src && chown -R ${UID}:${GID} ./

USER ${UID}:${GID}

